Package com.evopdf

# Enum EncryptionAlgorithm

java.lang.Object
java.lang.Enum<EncryptionAlgorithm>
com.evopdf.EncryptionAlgorithm

All Implemented Interfaces:
  `Serializable`, `Comparable<EncryptionAlgorithm>`, `java.lang.constant.Constable`

public enum EncryptionAlgorithm extends Enum<EncryptionAlgorithm>
This enumeration contains the possible values of the encryption algorithm used to encrypt a PDF document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AES`
  AES encryption algorithm
  `RC4`
  RC4 encryption algorithm

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static EncryptionAlgorithm`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EncryptionAlgorithm[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RC4

    public static final EncryptionAlgorithm RC4
    RC4 encryption algorithm

  - ### AES

    public static final EncryptionAlgorithm AES
    AES encryption algorithm

- ## Method Details

  - ### values

    public static EncryptionAlgorithm[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EncryptionAlgorithm valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()